"use strict";
// External modules
exports.__esModule = true;
var fromJSON = function (input) {
    try {
        return JSON.stringify(input);
    }
    catch (error) {
        if (error instanceof Error) {
            console.error("Error: Failed adapting from: " + input + ", error:", error);
        }
    }
    return null;
};
var toJSON = function (input) {
    try {
        return JSON.parse(input);
    }
    catch (error) {
        if (error instanceof Error) {
            console.error("Error: Failed adapting to: " + input + ", error:", error);
        }
    }
    return null;
};
var jsonAdapter = {
    from: fromJSON,
    to: toJSON
};
exports["default"] = jsonAdapter;
